Subject: Re: [PATCH] netdev_ops

From: Ben Greear <[email-masked]>
Date: Fri, 11 Jul 2003 13:07:07 -0700

Jeff Garzik wrote:

> Regardless, addressing your point, I consider ethtool.h a
> kernel-internal header, that's why it uses internal kernel types.
> Anybody who copies it to userspace must deal with that.  It is _not_
> intended to be #included directly from userspace.  ethtool (the userland
> program) purposefully does its own typedefs and stuff.

Any particular reason to not include it directly?  It seems no more
likely to cause problems than to use some potentially out-of-date
copy in user-space.  (And it might make the compile slightly tougher
if you are distributing primarily as source.)

Ben

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear